Why do I get the error "ORA-12705: Cannot access NLS data files or invalid environment specified" and "Locale not supported" when trying to run DataMart extractions against Oracle?

0 Likes

Problem:

Why do I get the error "ORA-12705: Cannot access NLS data files or invalid environment specified" and "Locale not supported" when trying to run DataMart extractions against Oracle?

Resolution:


  • Product Name: StarTeam
  • Product Version: 2008
  • Product Component: DataMart
  • Platform/OS Version: Windows

This happens when attempting to run DataMart on an operating system with an unsupported locale. The JDBC drivers that Oracle provide with their clients only work with certain locales. For example Farsi (Iran) and Welsh (Wales) are not supported locales. If you are getting this error you should change your locale to a supported one. If this is not possible then install DataMart and the Oracle client on a different machine with a supported locale. For details on supported locales consult your Oracle documentation.


Old KB# 27600
Comment List
Related
Recommended